-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_ANAG_PRODOTTI_TERZI]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_ANAG_PRODOTTI_TERZI',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ANAG_PRODOTTI_TERZI
	INSERT INTO [C6Mart].[ANAG_PRODOTTI_TERZI]
		   ([COD_PRODOTTO]
		   ,[COD_PRODOTTO_TERZI]
		   ,[NOME_PRODOTTO]
		   ,[ALBERO_PRODOTTI]
		   ,[COD_ISIN]
		   ,[DESCR_PRODOTTO]
		   ,[DIV_QUOTAZIONE]
		   ,[INTERMEDIARIO]
		   ,[DIV_REGOLAMENTO]
		   ,[ID_EMITTENTE]
		   ,[MERCATO_CONTRATT]
		   ,[PAESE]
		   ,[RATING]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB])
	SELECT 
		ALL_PATR_TERZI.PRODOTTO_IN_CATALOGO AS COD_PRODOTTO,
		ALL_PATR_TERZI.CHIAVE_THR AS COD_PRODOTTO_TERZI,
		ALL_PATR_TERZI.NOMEPRODOTTO AS NOME_PRODOTTO,
		ALL_PATR_TERZI.DESCRIZIONE_ALBERATURA AS ALBERO_PRODOTTI, 
		NULL AS COD_ISIN,
		ALL_PATR_TERZI.DESCRIZIONE_PRODOTTO AS DESCR_PRODOTTO,
		NULL AS DIV_QUOTAZIONE,
		ALL_PATR_TERZI.NOME_ISTITUTO AS INTERMEDIARIO,
		NULL AS DIV_REGOLAMENTO,
		NULL AS ID_EMITTENTE,
		NULL AS MERCATO_CONTRATT,
		NULL AS PAESE,
		NULL AS RATING,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	FROM C6STAGING.ALL_PATR_TERZI
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_ANAG_PRODOTTI_TERZI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_ANAG_PRODOTTI_TERZI'
		)
END